Ready
Check whether the cluster is ready to serve requests.
GET
/readyPublic endpointNo API key required.
- Returns 503 when a required dependency or configuration is unavailable, or writes are paused.
Responses
200Success
The cluster is ready.
application/json
Response headers
The Engine request ID. Retain it when investigating a failed or unexpected request.
The X-Request-Id you sent, echoed when it is a valid ID. Otherwise, the Engine request ID.
Errors
Select an error in the response example to see its JSON body. See error handling for the common error format.
- 500internal_error
An unexpected server failure prevented this request from completing.
What to do: Retain request_id for investigation. Follow retryable before retrying a write.
Was this page helpful?